package com.wechat.common.entity.order;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;

import com.wechat.common.entity.pay.jsapi.JsapiUnifiedOrder;

@Entity
public class KtjJsapiOrder {
	
	@Id
	@GeneratedValue(strategy=GenerationType.AUTO)
	@Column(name = "id" )
	private Long id;
	
	//特邀商户号
	private String subMchid;
	
	//本项目订单号
	private String orderNo;
	
	//外部订单号
	private String outOrderNo;
	
	//微信支付单号
	private String transactionId;
	
	//订单金额
	private Long totalFee;
	
	//支付的小程序appid
	private String appid;
	
	//用户标识
	private String openId;
	
	//支付类型JSAPI
	private String tradeType;
	
	//终端IP- 需要调用js的终端
	private String spbillCreateIp;
	
	//商品描述
	private String body;
	
	//订单创建时间
	private Long createTime;
	
	//订单状态 0-未支付 ，1-已支付
	private Integer orderStatus;
	
	
	public String getAppid() {
		return appid;
	}

	public void setAppid(String appid) {
		this.appid = appid;
	}

	public Long getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Long createTime) {
		this.createTime = createTime;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}
	
	public String getTradeType() {
		return tradeType;
	}

	public void setTradeType(String tradeType) {
		this.tradeType = tradeType;
	}
	
	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getSubMchid() {
		return subMchid;
	}

	public void setSubMchid(String subMchid) {
		this.subMchid = subMchid;
	}

	public String getOrderNo() {
		return orderNo;
	}

	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	public String getOutOrderNo() {
		return outOrderNo;
	}

	public void setOutOrderNo(String outOrderNo) {
		this.outOrderNo = outOrderNo;
	}

	public String getTransactionId() {
		return transactionId;
	}

	public void setTransactionId(String transactionId) {
		this.transactionId = transactionId;
	}

	public Long getTotalFee() {
		return totalFee;
	}

	public void setTotalFee(Long totalFee) {
		this.totalFee = totalFee;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getSpbillCreateIp() {
		return spbillCreateIp;
	}

	public void setSpbillCreateIp(String spbillCreateIp) {
		this.spbillCreateIp = spbillCreateIp;
	}

	public Integer getOrderStatus() {
		return orderStatus;
	}

	public void setOrderStatus(Integer orderStatus) {
		this.orderStatus = orderStatus;
	}

	public void assignment(JsapiUnifiedOrder unifiedOrder, Object object, Object object1) {
		String orderNo = String.valueOf(object);
		String appid = String.valueOf(object1);
		this.subMchid = unifiedOrder.getSubMchid();
		this.orderNo = orderNo;
		this.outOrderNo = unifiedOrder.getOutOrderNo();
		this.totalFee = unifiedOrder.getTotalFee();
		this.openId = unifiedOrder.getSubOpenid();
		this.tradeType = "JSAPI";
		this.spbillCreateIp = unifiedOrder.getSpbillCreateIp();
		this.body = unifiedOrder.getBody();
		this.orderStatus = 0;
		this.createTime = System.currentTimeMillis();
		this.appid = appid;
	}
	
	
}
