package com.wechat.common.entity.pay.jsapi;

import com.wechat.common.response.RespWrapper;
import com.wechat.common.util.StringUtil;

public class JsapiUnifiedOrder {
	
	//特邀商户号
	private String subMchid;
	
	//商品描述
	private String body;
	
	//外部订单号
	private String outOrderNo;
	
	//订单金额
	private Long totalFee;
	
	//用户标识
	private String openId;
	
	//用户子标识
	private String subOpenid;
	
	//终端IP- 需要调用js的终端
	private String spbillCreateIp;

	public String getSubMchid() {
		return subMchid;
	}

	public void setSubMchid(String subMchid) {
		this.subMchid = subMchid;
	}

	public String getBody() {
		return body;
	}

	public void setBody(String body) {
		this.body = body;
	}

	public String getOutOrderNo() {
		return outOrderNo;
	}

	public void setOutOrderNo(String outOrderNo) {
		this.outOrderNo = outOrderNo;
	}

	public Long getTotalFee() {
		return totalFee;
	}

	public void setTotalFee(Long totalFee) {
		this.totalFee = totalFee;
	}

	public String getOpenId() {
		return openId;
	}

	public void setOpenId(String openId) {
		this.openId = openId;
	}

	public String getSpbillCreateIp() {
		return spbillCreateIp;
	}

	public void setSpbillCreateIp(String spbillCreateIp) {
		this.spbillCreateIp = spbillCreateIp;
	}
	
	public String getSubOpenid() {
		return subOpenid;
	}

	public void setSubOpenid(String subOpenid) {
		this.subOpenid = subOpenid;
	}

	public RespWrapper<Object> parameterValidation() {
		if(StringUtil.isEmpty(this.subMchid)){
			return RespWrapper.makeFailResp("特邀商户号不能为空！");
		}
		if(StringUtil.isEmpty(this.body)){
			return RespWrapper.makeFailResp("商品描述不能为空！");
		}
		if(StringUtil.isEmpty(this.outOrderNo)){
			return RespWrapper.makeFailResp("订单号不能为空！");
		}
		if( null == this.totalFee || this.totalFee <= 0){
			return RespWrapper.makeFailResp("订单支付金额有误，请检查！totalFee = " + totalFee);
		}
		/*if(StringUtil.isEmpty(this.openId)){
			return RespWrapper.makeFailResp("openId不能为空！");
		}*/
		if(StringUtil.isEmpty(this.spbillCreateIp)){
			return RespWrapper.makeFailResp("终端IP不能为空！");
		}
		return RespWrapper.makeSuccessResp("参数验证通过！");
	}
	
}
